/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.actions;

import net.wordrider.utilities.Utils;

import java.io.File;

/**
 * @author Vity
 */
class FileProcessorFactory {
    private final static FileProcessorFactory instance = new FileProcessorFactory();


    private FileProcessorFactory() {
    }

    public static FileProcessorFactory getInstance() {
        return instance;
    }

    public FileProcessor getProcessorByFile(final File file) {
        final String extension = Utils.getExtension(file);
        if (extension.equals("89y") || extension.equals("9xy"))
            return new NotefolioFileProcessor(file);
        if (extension.equals("txt"))
            return new PureTextFileProcessor(file);
        else return new TextFileProcessor(file);
    }
}
